Bug 1705940 - python-dbfread FTBFS with pytest 4 / nonresponsive maintainer
Summary: python-dbfread FTBFS with pytest 4 / nonresponsive maintainer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-dbfread
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS PYTEST4 1732841
TreeView+ depends on / blocked
 
Reported: 2019-05-03 09:14 UTC by Miro Hrončok
Modified: 2019-07-31 22:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-13 14:59:17 UTC


Attachments (Terms of Use)
Full log from Copr (104.85 KB, text/plain)
2019-05-03 09:14 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2019-05-03 09:14:47 UTC
Created attachment 1562260 [details]
Full log from Copr

python-dbfread 2.0.7-9.git300b2d7.fc31 fails to get tested with pytest 4 and that blocks the Python 3.8 rebuild.

A simple fix is needed for the immediate problem with [pytest] section:

%prep
...
sed -i 's/\[pytest\]/\[tool:pytest\]/' setup.cfg

Yet even then, there are called fixtures:

+ pytest-3.8
============================= test session starts ==============================
platform linux -- Python 3.8.0a3, pytest-4.4.1, py-1.8.0, pluggy-0.9.0
rootdir: /builddir/build/BUILD/dbfread-300b2d7d907388cc3578d3fa4472e0419ccd34b9, inifile: setup.cfg
collected 18 items

dbfread/test_field_parser.py .............                               [ 72%]
dbfread/test_invalid_value.py ..                                         [ 83%]
dbfread/test_memo.py .                                                   [ 88%]
dbfread/test_read_and_length.py FF                                       [100%]

=================================== FAILURES ===================================
___________________________________ test_len ___________________________________
Fixture "table" called directly. Fixtures are not meant to be called directly,
but are created automatically when test functions request them as parameters.
See https://docs.pytest.org/en/latest/fixture.html for more information about fixtures, and
https://docs.pytest.org/en/latest/deprecations.html#calling-fixtures-directly about how to update your code.
__________________________________ test_list ___________________________________
Fixture "table" called directly. Fixtures are not meant to be called directly,
but are created automatically when test functions request them as parameters.
See https://docs.pytest.org/en/latest/fixture.html for more information about fixtures, and
https://docs.pytest.org/en/latest/deprecations.html#calling-fixtures-directly about how to update your code.


Worst case scenario, please deselect test_read_and_length.py.

Full log attached.

Comment 1 Miro Hrončok 2019-07-10 10:22:11 UTC
Please respond.

Comment 2 Julien Enselme 2019-07-13 14:59:17 UTC
Sorry for the delay. I have been really busy these last few weeks. Trying to fix all packages today.

For this one, it's done!


Note You need to log in before you can comment on or make changes to this bug.